mnoGoSearch 3.3.7 reference manual: Full-featured search engine software
Prev |  | Next

# UseCookie

## Name

UseCookie -- activates using per-session cookies during indexing

indexer.conf

## Synopsis

UseCookie {yes | no}

## Description

Allows/disallows using cookies during indexing. Some sites require cookies to crawl dynamic pages, e.g. database driven pages, CGIs, etc. Once indexer hits a dynamically created page, the site can request setting up a cookie containing session id or other kind of session information. Then the site can require that cookie for each subsequent request to other dynamically created pages, otherwise an error is returned. Without UseCookie enabled, if indexer tries to crawl through the site of such kind, it can die after it hits the first dynamically created page.

Default value is "no".

## Examples

    UseCookie yes

## See also

HTTPHeader, ResultContentType.

Prev | Home | Next
URLSelectCacheSize | Up | UseCRC32URLId